Create Order

The /orders/create API endpoint in CargoWALLET initiates a new payment transaction and will return the transaction ID as well as the link to CargoWALLET for the user to finalize the transaction.

(Please note that the API calls demonstrated in the README documentation may appear slower than expected. However, when calls are made directly to the API, the performance is significantly faster).

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The API will send an answer to the callback with :

transaction_id : This is the order_id in cargowallet system

link_payment : the link that should be use by the payer to open the wallet to the payment page.

Body Params
string
Defaults to 1000.00

Amount of the invoice

string
Defaults to USD

currency code

string
enum
Defaults to INVOICE_NUMBER
Allowed:
string
Defaults to INV0001

Your internal reference of the payment

string
Defaults to 344d3eff-c597-11ee-97a7-da4909313d65

the payer is the user receiving the payment request. The value should be the user's wallet ID or Email

string
Defaults to fe7103ea-dc65-11ee-bf7b-86acaaee4fda

the payee wallet ID ( user requesting the payment )

string
Defaults to 2024-10-31T23:59:59.000Z

Due date where the payer will be send a reminder for overdue. Format : "2024-10-31T23:59:59.000Z"

boolean
Defaults to false

Whether only instant payment methods (eg. prepaid, credit card) should be available for the payer

string
Defaults to https://api.dev.cargo-wallet.com/test-callback

The URL that will be use to send callback on transaction updates.

Headers
string

The API key used for authenticating the request. It should be in the format Bearer <your_api_key>.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json